@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");

:root {
  --clr-primary: rgb(148, 0, 211);
  --clr-light: #f4f4f4;
  --clr-dark: #333;
  --clr-warning: rgb(99, 36, 36);
}

*,
*::before,
*::after {
  font-family: inherit;
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: "Work Sans", sans-serif;
  font-weight: 300;
  font-size: 1.5rem;
  background-color: var(--clr-primary);
  color: var(--clr-light);
  display: grid;
  grid:
    "header header header header" auto "...... lists  active ......" auto/1fr minmax(
      100px,
      300px
    )
    minmax(250px, 500px) 1fr;
}

.title {
  grid-area: header;
  text-align: center;
  font-size: calc(7vw + 2rem);
  font-weight: 800;
  color: rgba(0, 0, 0, 0.1);
  letter-spacing: 2px;
  margin: -0.3em 0 0.5em;
}

.all-tasks {
  grid-area: lists;
}

.task-list {
  font-size: 1.2rem;
  line-height: 1.7;
  list-style: circle;
  padding-left: 1.1em;
}

.list-name {
  cursor: pointer;
}

.list-name:hover {
  opacity: 0.7;
}

form {
  display: flex;
}

.btn {
  cursor: pointer;
  background: 0;
  border: 0;
  padding: 0;
  color: inherit;
}

.btn.create {
  font-size: 1.5rem;
  font-weight: 900;
  margin-right: 0.25em;
  transition: opacity 250ms ease-in;
}

.btn.create:hover {
  opacity: 0.7;
}

.btn.delete {
  margin-top:0px;
  opacity: 0.7;
  font-size: 1rem;
  transition: color 200ms;
  color:black;
}

.btn.delete:hover {
  color: var(--clr-warning);
}

.new {
  background: transparent;
  border: 0;
  color: inherit;
  border-bottom: 1px solid currentColor;
  font-size: inherit;
  outline: none;
  padding: 0.25em;
  transition: border-bottom 150ms ease-in;
  order: 2;
}
.new::-webkit-input-placeholder {
  opacity: 0.4;
  color:#e4e4e4;
}

.new:-ms-input-placeholder {
  opacity: 0.4;
}

.new::-ms-input-placeholder {
  opacity: 0.4;
}

.new::placeholder {
  opacity: 0.4;
}

.new:focus {
  border-bottom-width: 3px;
}

.new:focus::-webkit-input-placeholder {
  opacity: 0.15;
}

.new:focus:-ms-input-placeholder {
  opacity: 0.15;
}

.new:focus::-ms-input-placeholder {
  opacity: 0.15;
}

.new:focus::placeholder {
  opacity: 0.15;
}

.new.list {
  font-size: 1.1rem;
}

.new.task {
  margin-bottom: 0;
}

.new.task::placeholder{
  color:black;
}

.active-list {
  font-weight: 700;
}

.todo-list {
  --spacer: 2rem;
  grid-area: active;
  background: var(--clr-light);
  color: var(--clr-dark);
}

.todo-header {
  padding: var(--spacer);
  background: #ED7D31;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.list-title {
  margin: 0 1em 0 0;
}

.task-count {
  margin: 0;
  font-size: 1rem;
}

.todo-body {
  padding: var(--spacer);
  position: relative;
 
}

.new-task-creator .create {
  color: var(--clr-primary);
  color:#ED7D31;
}

[type="checkbox"] {
  opacity: 0;
  position: absolute;
}

.task label {
  display: flex-inline;
  align-items: center;
  position: relative;
  color:#ED7D31;
}

.task {
  position: relative;
  margin-bottom: 1.25em;
}

.task::after {
  content: "";
  position: absolute;
  right: 0;
  left: 0;
  bottom: -0.5em;
  height: 1px;
  background: currentColor;
  opacity: 0.1;
  
}

.custom-checkbox {
  --size: 0.75em;
  display: inline-block;
  width: var(--size);
  height: var(--size);
  margin-right: var(--size);
  cursor: pointer;
  border: 2px solid currentColor;
  border-radius: 50%;
  -webkit-transform: scale(1);
  transform: scale(1);
  transition: -webkit-transform 300ms ease-in-out;
  transition: transform 300ms ease-in-out;
  transition: transform 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
}

.task:hover .custom-checkbox,
[type="checkbox"]:focus + label .custom-checkbox {
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
  color: var(--clr-primary);
}

[type="checkbox"]:checked + label .custom-checkbox {
  background: var(--clr-primary);
  border-color: var(--clr-primary);
  box-shadow: inset 0 0 0px 2px white;
}

[type="checkbox"]:checked + label {
  opacity: 0.5;
}

.task label::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  left: 1.5em;
  top: 50%;
  height: 3px;
  background: currentColor;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transform-origin: right;
  transform-origin: right;
  transition: -webkit-transform 150ms ease-in-out;
  transition: transform 150ms ease-in-out;
  transition: transform 150ms ease-in-out, -webkit-transform 150ms ease-in-out;
}

[type="checkbox"]:checked + label::after {
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
  -webkit-transform-origin: left;
  transform-origin: left;
}

.delete-stuff {
  display: flex;
  justify-content: space-evenly;
  position: absolute;
  width: 100%;
  left: 0;
  bottom:-35px;
  color: var(--clr-light);
  padding-bottom:20px;
}

* {
  text-decoration: none;
  color: rgb(255, 250, 244);
  font-family: "Poppins", sans-serif;
}

body {
  background-color: rgb(29, 29, 29);
  color: white;
}

#wrapper .sidebar {
  position: fixed;
  left: 0;
  top: 0;
  background-color: rgb(14, 13, 13);
  width: 100%;
  height: 9%;
}

h1 {
  font-size: 40px;
  text-align: center;
}

a {
  color: #fd2155;
}

a:hover {
  color: grey;
}

.main_content {
  margin-left: 15%;
}

p {
  font-size: 20px;
  margin-left: 15%;
  margin-right: 10%;
  line-height: 170%;
}

.title {
  margin-left: 15px;
  font-size: 100px;
}

img {
  position: absolute;
  right: 0;
}

#wrapper{
  font-size: 23px;
}

header {
  overflow:hidden;
  padding-top:20px;
}

.menu_options{
  font-family: Poppins;
  font-weight: Bold;
  font-size:18px;
  margin-right:80px;
  color:rgba(253,33,85,1);
  
}

.menubar{
  float:right;
  margin-top:10px;
}

.logo{
  position:relative;
  left:20px;
}

